## qxgedit 0.3.0

=== debian/changelog ===
qxgedit (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #784346)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 02 Oct 2015 09:57:12 -0300
