=== debian/control ===
Source: qxgedit
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Ross Gammon <rossgammon@mail.dk>
Section: sound
Priority: optional
Build-Depends: automake,
               debhelper (>= 9~),
               dh-autoreconf,
               qtbase5-dev,
               qttools5-dev-tools,
               libqt5x11extras5-dev,
               libasound2-dev,
               libx11-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/qxgedit.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qxgedit.git
Homepage: http://qxgedit.sourceforge.net/qxgedit-index.html

Package: qxgedit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: MIDI System Exclusive files editor
 qxgedit is a Qt GUI for editing
 MIDI System Exclusive files
 for XG devices (eg. Yamaha DB50XG)
