=== debian/watch ===
version=3
http://sf.net/qxgedit/qxgedit-([\d.]+)\.tar\.gz
