## qxgedit 0.4.0

=== debian/changelog ===
qxgedit (0.4.0-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831130)
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 23:38:05 +0200

qxgedit (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Remove extra Keywords entry.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 13:38:18 +0200
