=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libqt5x11extras5-dev,
                libasound2-dev,
                libx11-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/qxgedit.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qxgedit.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qxgedit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qxgedit.git
 Homepage: http://qxgedit.sourceforge.net/qxgedit-index.html
 
 Package: qxgedit
