## qxgedit 0.4.2

=== debian/changelog ===
qxgedit (0.4.2-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #845010)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 18:02:24 +0100

qxgedit (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patches refreshed/removed.
  * Add pkg-config as B-D.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Nov 2016 07:22:52 +0100

qxgedit (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Patch applied upstream.
  * Update copyright file.
  * Patch forwarded.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 18:41:32 +0200
