=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Section: sound
 Priority: optional
 Build-Depends: automake,
-               debhelper (>= 9~),
+               debhelper (>= 10~),
+               pkg-config,
                dh-autoreconf,
                qtbase5-dev,
                qttools5-dev-tools,
