=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
