## qxgedit 0.4.3

=== debian/changelog ===
qxgedit (0.4.3-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.4.3
  * Fix dh version.
  * Bump Standards.
  * Remove dh_autoreconf.
  * Patch applied upstream - removed.
  * Update copyright file.
  * Sign tags.
  * Add override file.
  * Avoid useless linking.
  * Add patch to pass flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 29 Jun 2017 08:29:50 +0200
