=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Section: sound
 Priority: optional
 Build-Depends: automake,
-               debhelper (>= 10~),
+               debhelper (>= 10),
                pkg-config,
-               dh-autoreconf,
                qtbase5-dev,
                qttools5-dev-tools,
                libqt5x11extras5-dev,
                libasound2-dev,
                libx11-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qxgedit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qxgedit.git
 Homepage: http://qxgedit.sourceforge.net/qxgedit-index.html
