## qxgedit 0.5.0

=== debian/changelog ===
qxgedit (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 17:28:21 +0100
