=== debian/watch ===
version=3
https://sf.net/qxgedit/qxgedit-([\d.]+)\.tar\.gz
