## qxgedit 0.5.0.1+rb2

=== debian/changelog ===
qxgedit (0.5.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:19:36 +0800
