## qxgedit 0.6.1

=== debian/changelog ===
qxgedit (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:10 +0100

qxgedit (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Update d/copyright years
  * Update d/patches/03-fix_hardening.patch
  * Update d/patches/0003-Do-not-strip-binaries.patch

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 25 Jan 2020 14:49:34 +0100

qxgedit (0.5.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - Set RRR: no
  * debian/patches: Do not strip binaries on install
  * debian/copyright: Add paragraph for upstream data

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Oct 2019 22:37:19 +0200
