=== debian/control ===
Source: qxgedit
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Ross Gammon <rossgammon@mail.dk>
Section: sound
Priority: optional
Build-Depends: automake,
               debhelper-compat (= 12),
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               libqt5x11extras5-dev,
               libasound2-dev,
               libx11-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/qxgedit.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qxgedit
Homepage: https://qxgedit.sourceforge.io/qxgedit-index.htmli
Rules-Requires-Root: no

Package: qxgedit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: MIDI System Exclusive files editor
 qxgedit is a Qt GUI for editing
 MIDI System Exclusive files
 for XG devices (eg. Yamaha DB50XG)
