## qxgedit 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.6.1")
+set (VERSION "0.6.3")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
