=== debian/changelog ===
qxgedit (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules
  * Fix homepage typo, thanks to Torquil Macdonald Sørensen (Closes: #956679)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:59:14 +0200

qxgedit (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Update d/copyright year
  * Add me as uploader
  * Drop lintian-overrides
  * Fix french manpage installation

  [ Sebastian Ramacher ]
  * debian/: Switch to cmake

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 Mar 2020 09:48:19 +0200
