## qxgedit 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(QXGEDIT)
+cmake_minimum_required(VERSION 3.10)
 
-cmake_minimum_required(VERSION 3.1)
+project(qxgedit
+  VERSION 0.9.1
+  DESCRIPTION "Qt XG Editor"
+  LANGUAGES C CXX)
 
-set (VERSION "0.6.3")
-
-set (CONFIG_VERSION ${VERSION})
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -12,8 +13,7 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -24,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "QXGEdit")
@@ -67,13 +69,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
 endif ()
 
-find_package (Qt5LinguistTools)
+find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
@@ -91,7 +94,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for ALSA libraries.
-pkg_check_modules (ALSA REQUIRED alsa)
+pkg_check_modules (ALSA REQUIRED IMPORTED_TARGET alsa)
 if (ALSA_FOUND)
   set (CONFIG_ALSA_SEQ 1)
   include_directories (${ALSA_INCLUDE_DIRS})
