=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
-set (NAME qxgedit)
+# project(qxgedit)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}
-  ${CMAKE_CURRENT_BINARY_DIR}
-)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -78,13 +82,10 @@
   qxgedit.qrc
 )
 
-qt5_wrap_ui (UI_SOURCES ${FORMS})
-qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
-qt5_add_resources (QRC_SOURCES ${RESOURCES})
 
 if (WIN32)
-  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
-  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
+  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
+  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
   find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
   if (MINGW)
     exec_program (${WINDRES_EXECUTABLE}
@@ -96,56 +97,56 @@
 endif ()
 
 if (APPLE)
-  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
+  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
   list (APPEND SOURCES ${ICON_FILE})
-  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
+  set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
   set_source_files_properties (${ICON_FILE} PROPERTIES
     MACOSX_PACKAGE_LOCATION Resources)
 endif ()
 
 
-add_executable (${NAME}
-  ${UI_SOURCES}
-  ${MOC_SOURCES}
-  ${QRC_SOURCES}
+add_executable (${PROJECT_NAME}
+  ${HEADERS}
   ${SOURCES}
+  ${FORMS}
+  ${RESOURCES}
 )
 
-set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)
+set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
 
 if (WIN32)
-  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
 endif ()
 
 if (APPLE)
-  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
 endif ()
 
-target_link_libraries (${NAME} PRIVATE Qt5::Widgets)
+target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
 
 if (CONFIG_XUNIQUE)
-  target_link_libraries (${NAME} PRIVATE Qt5::Network)
+  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
 endif ()
 
 if (CONFIG_ALSA_SEQ)
-  target_link_libraries (${NAME} PRIVATE ${ALSA_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::ALSA)
 endif ()
 
 
 if (UNIX AND NOT APPLE)
-  install (TARGETS ${NAME} RUNTIME
+  install (TARGETS ${PROJECT_NAME} RUNTIME
      DESTINATION ${CMAKE_INSTALL_BINDIR})
-  install (FILES ${NAME}.desktop
+  install (FILES ${PROJECT_NAME}.desktop
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-  install (FILES images/${NAME}.png
+  install (FILES images/${PROJECT_NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
-  install (FILES images/${NAME}.svg
+  install (FILES images/${PROJECT_NAME}.svg
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
-  install (FILES appdata/${NAME}.appdata.xml
+  install (FILES appdata/${PROJECT_NAME}.appdata.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 endif ()
 
 if (WIN32)
-   install (TARGETS ${NAME} RUNTIME
+   install (TARGETS ${PROJECT_NAME} RUNTIME
      DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 endif ()
