=== debian/changelog ===
qxgedit (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Update d/copyright year
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:32:46 +0100

qxgedit (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 29 Dec 2020 22:21:57 +0100
