=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qxgedit.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qxgedit
 Homepage: https://qxgedit.sourceforge.io/qxgedit-index.html
