## qxgedit 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,27 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required (VERSION 3.13)
 
-project(qxgedit
-  VERSION 0.9.1
+project (qxgedit
+  VERSION 0.9.4
   DESCRIPTION "Qt XG Editor"
   LANGUAGES C CXX)
 
 set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
+  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -34,17 +38,21 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qxgedit")
 
+set (ac_version "${PROJECT_VERSION}")
+set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
+
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CMAKE_BUILD_TYPE)
-  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
+if (CONFIG_DEBUG)
+  set (CMAKE_BUILD_TYPE "Debug")
+endif ()
+if (CMAKE_BUILD_TYPE MATCHES "Debug")
+  set (CONFIG_DEBUG 1)
+endif ()
+if (CONFIG_DEBUG)
+  set (CONFIG_BUILD_TYPE "debug")
 else ()
   set (CONFIG_BUILD_TYPE "release")
-endif ()
-
-set (CONFIG_DEBUG 0)
-if (CONFIG_BUILD_TYPE MATCHES "debug")
-  set (CONFIG_DEBUG 1)
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
@@ -63,13 +71,29 @@
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
 
+# Enable Qt6 build preference.
+option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
+
+
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
 if (POLICY CMP0075)
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
-# Check for Qt
-find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+# Check for Qt...
+if (CONFIG_QT6)
+  find_package (Qt6 QUIET)
+  if (NOT Qt6_FOUND)
+    set (CONFIG_QT6 0)
+  endif ()
+endif ()
+
+if (CONFIG_QT6)
+  find_package (QT QUIET NAMES Qt6)
+else ()
+  find_package (QT QUIET NAMES Qt5)
+endif ()
+
 find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
@@ -91,21 +115,20 @@
 
 
 # Find package modules
-find_package (PkgConfig REQUIRED)
+include (FindPkgConfig)
 
 # Check for ALSA libraries.
 pkg_check_modules (ALSA REQUIRED IMPORTED_TARGET alsa)
 if (ALSA_FOUND)
+  find_library(ALSA_LIBRARY NAMES ${ALSA_LIBRARIES} HINTS ${ALSA_LIBDIR})
+endif ()
+if (ALSA_LIBRARY)
   set (CONFIG_ALSA_SEQ 1)
-  include_directories (${ALSA_INCLUDE_DIRS})
-  link_directories (${ALSA_LIBRARY_DIRS})
-  link_libraries (${ALSA_LIBRARIES})
-# set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+ #set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
 else ()
   message (FATAL_ERROR "*** ALSA library not found.")
   set (CONFIG_ALSA_SEQ 0)
 endif ()
-
 
 add_subdirectory (skulpture)
 add_subdirectory (src)
@@ -124,12 +147,11 @@
   endif ()
 endmacro ()
 
-
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
+message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  ALSA MIDI Sequencer support  . . . . . . . . . . ." CONFIG_ALSA_SEQ)
 message     ("")
 show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
 show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")
