=== debian/changelog ===
qxgedit (0.9.4-2) unstable; urgency=medium

  * Fix FTCBFS, stripping with cmake (Closes: #993383)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Sep 2021 17:10:27 +0200

qxgedit (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Refresh patchset
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:30:42 +0200
