=== debian/changelog ===
qxgedit (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 00:49:30 -0500

qxgedit (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Refresh patchset
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 15:51:37 +0100
