=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qxgedit
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -15,7 +16,7 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qxgedit.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qxgedit
 Homepage: https://qxgedit.sourceforge.io/qxgedit-index.html
