## qxgedit 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qxgedit
-  VERSION 0.9.5
+  VERSION 0.9.6
   DESCRIPTION "Qt XG Editor"
   LANGUAGES C CXX)
 
@@ -70,6 +70,8 @@
 # Enable debugger stack-trace option (assumes --enable-debug).
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
+# Enable Wayland support option.
+option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
@@ -133,10 +135,11 @@
 add_subdirectory (skulpture)
 add_subdirectory (src)
 
-configure_file (qxgedit.spec.in qxgedit.spec IMMEDIATE @ONLY)
 
-install (FILES qxgedit.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install (FILES qxgedit.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qxgedit.1)
+if (UNIX AND NOT APPLE)
+  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
+endif ()
+
 
 # Configuration status
 macro (SHOW_OPTION text value)
