## qxgedit 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qxgedit
-  VERSION 0.9.6
+  VERSION 0.9.8
   DESCRIPTION "Qt XG Editor"
   LANGUAGES C CXX)
 
@@ -37,9 +37,6 @@
 set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qxgedit")
-
-set (ac_version "${PROJECT_VERSION}")
-set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
 
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
@@ -96,7 +93,7 @@
   find_package (QT QUIET NAMES Qt5)
 endif ()
 
-find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Svg)
 
 if (CONFIG_XUNIQUE)
   find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
@@ -136,11 +133,6 @@
 add_subdirectory (src)
 
 
-if (UNIX AND NOT APPLE)
-  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
-endif ()
-
-
 # Configuration status
 macro (SHOW_OPTION text value)
   if (${value})
