=== debian/changelog ===
qxgedit (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Refresh patchset
  * Change my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:41:40 +0100

qxgedit (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * Build with Qt6
  * d/control: Apply wrap-and-sort -ast
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 07 Oct 2022 14:43:22 +0200
