=== debian/control ===
Source: qxgedit
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Ross Gammon <rossgammon@mail.dk>,
Section: sound
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libqt6svg6-dev,
 libx11-dev,
 pkg-config,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/qxgedit.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qxgedit
Homepage: https://qxgedit.sourceforge.io/qxgedit-index.html
Rules-Requires-Root: no

Package: qxgedit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: MIDI System Exclusive files editor
 qxgedit is a Qt GUI for editing
 MIDI System Exclusive files
 for XG devices (eg. Yamaha DB50XG)
