=== debian/changelog ===
qxgedit (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:55:48 +0200

qxgedit (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 20:21:11 +0200
